SkillHub
Referenceregistries

Request changes on a review candidate

POST
/registries/{ownerHandle}/{slug}/skills/{skill}/versions/{version}/request-changes

Path Parameters

ownerHandle*string
Lengthlength <= 64
slug*string
Lengthlength <= 64
skill*string
Match^[a-z0-9]+(?:-[a-z0-9]+)*$
Length1 <= length <= 64
version*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/registries/string/string/skills/string/versions/string/request-changes" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "state": "changes_requested",  "reviewer": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "handle": "string",    "displayName": "string",    "avatarUrl": "string"  },  "message": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}